import { Item, UUID } from './Item';
export declare enum CallDirection {
    INCOMING = "INCOMING",
    OUTGOING = "OUTGOING"
}
export declare enum CallResponse {
    ACCEPTED = "ACCEPTED",
    REFUSED = "REFUSED",
    IGNORED = "IGNORED",
    TERMINATED = "TERMINATED"
}
export declare class Call extends Item {
    from: string;
    direction?: CallDirection;
    response?: CallResponse;
    wakeUpDevice?: boolean;
    constructor(src: Call);
}
export declare class SipCall extends Call {
    receptionDate: string;
    sipExtensionId: UUID;
    constructor(src: SipCall);
}
export declare class VideoCall extends Call {
    callerId: UUID;
    constructor(src: VideoCall);
}
export declare const isSipCall: (call: Call) => call is SipCall;
export declare const isVideoCall: (call: Call) => call is VideoCall;
