import { Item } from './Item';
export var CallDirection;
(function (CallDirection) {
    CallDirection["INCOMING"] = "INCOMING";
    CallDirection["OUTGOING"] = "OUTGOING";
})(CallDirection || (CallDirection = {}));
export var CallResponse;
(function (CallResponse) {
    CallResponse["ACCEPTED"] = "ACCEPTED";
    CallResponse["REFUSED"] = "REFUSED";
    CallResponse["IGNORED"] = "IGNORED";
    CallResponse["TERMINATED"] = "TERMINATED"; // The call has been terminated before it was answered
})(CallResponse || (CallResponse = {}));
export class Call extends Item {
    constructor(src) {
        super(src);
        this.from = src.from;
        this.direction = src.direction;
        this.response = src.response;
        this.wakeUpDevice = src.wakeUpDevice;
    }
}
export class SipCall extends Call {
    constructor(src) {
        super(src);
        this.receptionDate = src.receptionDate;
        this.sipExtensionId = src.sipExtensionId;
    }
}
export class VideoCall extends Call {
    constructor(src) {
        super(src);
        this.callerId = src.callerId;
    }
}
export const isSipCall = (call) => call.type === 'sip.call';
export const isVideoCall = (call) => call.type === 'video.call';
