import { ChannelInput } from './ChannelInput';
import { ChannelOutput } from './ChannelOutput';
import { FlowrLogoitem } from './FlowrLogoitem';
import { FlowrPackageable } from './FlowrPackageable';
import { FlowrTransient } from './FlowrTransient';
import { RestrictedContent } from './RestrictedContent';
import { Item, UUID, Instant } from './Item';
export declare class Channel extends Item implements RestrictedContent, FlowrLogoitem, FlowrPackageable, FlowrTransient {
    aliases?: string[];
    bufferDuration?: number;
    cbUrl?: string;
    channelType?: string;
    channelUuid?: UUID;
    defaultPackages?: string[];
    highlightLogo?: UUID;
    horizontalRes?: number;
    input?: ChannelInput;
    isEncrypted?: boolean;
    keywords?: string[];
    languageIndexes?: string[];
    languages?: string[];
    logo?: UUID;
    multicastUrl?: string;
    ottUrl?: string;
    output?: ChannelOutput;
    packages?: UUID[];
    restricted?: boolean;
    /**
     * @deprecated use scenesList instead
     */
    scenes?: string[];
    scenesList?: UUID[];
    storage?: string;
    transcoderEnabled?: boolean;
    tvGuideNames?: string[];
    validFrom?: Instant;
    validUntil?: Instant;
    verticalRes?: number;
    constructor(src: Channel);
}
