import { Item, UUID, Instant } from "./Item";
declare enum ConnectionStatus {
    CONNECTED = "CONNECTED",
    DISCONNECTED = "DISCONNECTED"
}
export declare class FlowrChromecast extends Item {
    mac: string;
    chromecastId: string;
    ip: string;
    model: string;
    flowrDeviceId: UUID;
    hdmiPort: number;
    pairings: FlowrChromecastPairing[];
    originalName: string;
    connectionStatus: ConnectionStatus;
    lastSeenOnline: Instant;
    constructor(src: FlowrChromecast);
    get displayName(): string;
    get bothNames(): string;
}
export declare class FlowrChromecastPairing extends Item {
    ip: string;
    mac: string;
    creation: Instant;
    expiration: Instant;
    constructor(src: FlowrChromecastPairing);
}
export {};
