import { Instant, Item, UUID } from './Item';
import { LocationZone } from './LocationZone';
import { PersistedFlowrWarningOperator } from './FlowrWarningOperator';
import { LocationSite } from './LocationSite';
export declare enum LOG_ACTION {
    LOGIN = "LOGIN",
    LOGOUT = "LOGOUT",
    SWITCH_SITE = "SWITCH_SITE",
    WARNING_ON = "WARNING_ON",
    WARNING_OFF = "WARNING_OFF",
    TEST_ON = "TEST_ON",
    TEST_OFF = "TEST_OFF"
}
declare class BareFlowrWarningLog extends Item {
    date: Instant;
    action: LOG_ACTION;
    targetType?: string;
    constructor(src: BareFlowrWarningLog);
}
export declare class FlowrWarningLog extends BareFlowrWarningLog {
    operator: UUID;
    target?: UUID;
    constructor(src: FlowrWarningLog);
}
export declare class HydratedFlowrWarningLog extends BareFlowrWarningLog {
    id: UUID;
    operator: PersistedFlowrWarningOperator;
    target?: LocationZone | LocationSite;
    constructor(src: any);
    getTargetToString(): string | undefined;
}
export declare const isFlowrWarningLog: (object: any) => object is FlowrWarningLog;
export declare const isHydratedFlowrWarningLog: (object: any) => object is HydratedFlowrWarningLog;
export {};
