var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Item, OzoneType } from './Item';
import { isLocationZone } from './LocationZone';
import { isLocationSite } from './LocationSite';
export var LOG_ACTION;
(function (LOG_ACTION) {
    LOG_ACTION["LOGIN"] = "LOGIN";
    LOG_ACTION["LOGOUT"] = "LOGOUT";
    LOG_ACTION["SWITCH_SITE"] = "SWITCH_SITE";
    LOG_ACTION["WARNING_ON"] = "WARNING_ON";
    LOG_ACTION["WARNING_OFF"] = "WARNING_OFF";
    LOG_ACTION["TEST_ON"] = "TEST_ON";
    LOG_ACTION["TEST_OFF"] = "TEST_OFF";
})(LOG_ACTION || (LOG_ACTION = {}));
class BareFlowrWarningLog extends Item {
    constructor(src) {
        super(src);
        this.date = src.date;
        this.action = src.action;
        this.targetType = src.targetType;
    }
}
let FlowrWarningLog = class FlowrWarningLog extends BareFlowrWarningLog {
    constructor(src) {
        super(src);
        this.operator = src.operator;
        this.target = src.target;
    }
};
FlowrWarningLog = __decorate([
    OzoneType('flowr.warning.log'),
    __metadata("design:paramtypes", [FlowrWarningLog])
], FlowrWarningLog);
export { FlowrWarningLog };
export class HydratedFlowrWarningLog extends BareFlowrWarningLog {
    constructor(src) {
        super(src);
        this.id = src.id;
        this.operator = src.operator;
        this.target = src.target;
        this.type = src.type;
    }
    getTargetToString() {
        if (!this.target)
            return;
        if (isLocationSite(this.target))
            return this.target.name;
        if (isLocationZone(this.target))
            return this.target.buttonText;
    }
}
export const isFlowrWarningLog = (object) => {
    return object.type === 'flowr.warning.log';
};
export const isHydratedFlowrWarningLog = (object) => {
    return !!(object.type === 'flowr.warning.log' &&
        object.id &&
        (!object.target || isLocationZone(object.target) || isLocationSite(object.target)));
};
