import { FlowrMedia } from './FlowrMedia';
import { FlowrPackageable } from './FlowrPackageable';
import { FlowrTransient } from './FlowrTransient';
import { RestrictedContent } from './RestrictedContent';
import { TagsCustom } from './TagsCustom';
import { Item, UUID, Instant } from './Item';
export declare class Media extends Item implements TagsCustom, FlowrMedia, RestrictedContent, FlowrPackageable, FlowrTransient {
    byLine?: string;
    caption?: string;
    category?: string;
    city?: string;
    collections?: UUID[];
    country?: string;
    creationDate?: Instant;
    credit?: string;
    date?: Instant;
    derivedFiles?: UUID[];
    file?: UUID;
    fileUTI?: string[];
    fullText?: UUID;
    height?: number;
    indexed_fulltext?: string;
    keywords?: string[];
    length?: number;
    localizedDescription?: {
        [key: string]: string;
    };
    localizedName?: {
        [key: string]: string;
    };
    localizedShortDescription?: {
        [key: string]: string;
    };
    localizedTitle?: {
        [key: string]: string;
    };
    mediaUuid?: UUID;
    modificationDate?: Instant;
    objectName?: string;
    packages?: UUID[];
    parentFolder?: UUID;
    previewDate?: Instant;
    previewRatio?: number;
    publications?: string[];
    representedBy?: UUID;
    restricted?: boolean;
    source?: string;
    specialInstructions?: string;
    status?: string;
    stocks?: UUID[];
    title?: string;
    usage?: string;
    validFrom?: Instant;
    validUntil?: Instant;
    width?: number;
    flowrConnectTvUser?: UUID;
    flowrConnectAppUser?: UUID;
    constructor(src: Media);
}
