import { Grants } from '../model/models';
export class FieldsPermissionUtility {
    constructor(grant) {
        this.grant = grant;
    }
    hasFieldPermission(fieldName, permission) {
        if (this.grant.fieldGrants && this.grant.fieldGrants.hasOwnProperty(fieldName)) {
            return typeof (this.grant.fieldGrants[fieldName]
                .find(i => i === permission)) === 'string';
        }
        else {
            return false;
        }
    }
    isFieldEditable(fieldName) {
        return this.hasFieldPermission(fieldName, Grants.FieldGrantsEnum.FIELDEDIT);
    }
}
